Package org.apache.xmlbeans.impl.xb.substwsdl.impl

## Class DefinitionsDocumentImpl.DefinitionsImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.substwsdl.impl.DefinitionsDocumentImpl.DefinitionsImpl

- All Implemented Interfaces:
    `Serializable`, `TypeStoreUser`, `DefinitionsDocument.Definitions`, `SimpleValue`, `XmlObject`, `XmlTokenSource`
  Enclosing class:
    DefinitionsDocumentImpl

      public static class DefinitionsDocumentImpl.DefinitionsImpl
      extends XmlComplexContentImpl
      implements DefinitionsDocument.Definitions

  An XML definitions(@http://www.apache.org/internal/xmlbeans/wsdlsubst). This is a complex type.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.substwsdl.DefinitionsDocument.Definitions

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, Factory, GREATER_THAN, LESS_THAN, NOT_EQUAL, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefinitionsImpl​(SchemaType sType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `XmlObject` | `addNewBinding()` | Appends and returns a new empty value (as xml) as the last "binding" element
    `TImport` | `addNewImport()` | Appends and returns a new empty value (as xml) as the last "import" element
    `XmlObject` | `addNewMessage()` | Appends and returns a new empty value (as xml) as the last "message" element
    `XmlObject` | `addNewPortType()` | Appends and returns a new empty value (as xml) as the last "portType" element
    `XmlObject` | `addNewService()` | Appends and returns a new empty value (as xml) as the last "service" element
    `XmlObject` | `addNewTypes()` | Appends and returns a new empty value (as xml) as the last "types" element
    `XmlObject[]` | `getBindingArray()` | Gets array of all "binding" elements
    `XmlObject` | `getBindingArray​(int i)` | Gets ith "binding" element
    `List<XmlObject>` | `getBindingList()` | Gets a List of "binding" elements
    `TImport[]` | `getImportArray()` | Gets array of all "import" elements
    `TImport` | `getImportArray​(int i)` | Gets ith "import" element
    `List<TImport>` | `getImportList()` | Gets a List of "import" elements
    `XmlObject[]` | `getMessageArray()` | Gets array of all "message" elements
    `XmlObject` | `getMessageArray​(int i)` | Gets ith "message" element
    `List<XmlObject>` | `getMessageList()` | Gets a List of "message" elements
    `XmlObject[]` | `getPortTypeArray()` | Gets array of all "portType" elements
    `XmlObject` | `getPortTypeArray​(int i)` | Gets ith "portType" element
    `List<XmlObject>` | `getPortTypeList()` | Gets a List of "portType" elements
    `XmlObject[]` | `getServiceArray()` | Gets array of all "service" elements
    `XmlObject` | `getServiceArray​(int i)` | Gets ith "service" element
    `List<XmlObject>` | `getServiceList()` | Gets a List of "service" elements
    `XmlObject[]` | `getTypesArray()` | Gets array of all "types" elements
    `XmlObject` | `getTypesArray​(int i)` | Gets ith "types" element
    `List<XmlObject>` | `getTypesList()` | Gets a List of "types" elements
    `XmlObject` | `insertNewBinding​(int i)` | Inserts and returns a new empty value (as xml) as the ith "binding" element
    `TImport` | `insertNewImport​(int i)` | Inserts and returns a new empty value (as xml) as the ith "import" element
    `XmlObject` | `insertNewMessage​(int i)` | Inserts and returns a new empty value (as xml) as the ith "message" element
    `XmlObject` | `insertNewPortType​(int i)` | Inserts and returns a new empty value (as xml) as the ith "portType" element
    `XmlObject` | `insertNewService​(int i)` | Inserts and returns a new empty value (as xml) as the ith "service" element
    `XmlObject` | `insertNewTypes​(int i)` | Inserts and returns a new empty value (as xml) as the ith "types" element
    `void` | `removeBinding​(int i)` | Removes the ith "binding" element
    `void` | `removeImport​(int i)` | Removes the ith "import" element
    `void` | `removeMessage​(int i)` | Removes the ith "message" element
    `void` | `removePortType​(int i)` | Removes the ith "portType" element
    `void` | `removeService​(int i)` | Removes the ith "service" element
    `void` | `removeTypes​(int i)` | Removes the ith "types" element
    `void` | `setBindingArray​(int i, XmlObject binding)` | Sets ith "binding" element
    `void` | `setBindingArray​(XmlObject[] bindingArray)` | Sets array of all "binding" element WARNING: This method is not atomicaly synchronized.
    `void` | `setImportArray​(int i, TImport ximport)` | Sets ith "import" element
    `void` | `setImportArray​(TImport[] ximportArray)` | Sets array of all "import" element WARNING: This method is not atomicaly synchronized.
    `void` | `setMessageArray​(int i, XmlObject message)` | Sets ith "message" element
    `void` | `setMessageArray​(XmlObject[] messageArray)` | Sets array of all "message" element WARNING: This method is not atomicaly synchronized.
    `void` | `setPortTypeArray​(int i, XmlObject portType)` | Sets ith "portType" element
    `void` | `setPortTypeArray​(XmlObject[] portTypeArray)` | Sets array of all "portType" element WARNING: This method is not atomicaly synchronized.
    `void` | `setServiceArray​(int i, XmlObject service)` | Sets ith "service" element
    `void` | `setServiceArray​(XmlObject[] serviceArray)` | Sets array of all "service" element WARNING: This method is not atomicaly synchronized.
    `void` | `setTypesArray​(int i, XmlObject types)` | Sets ith "types" element
    `void` | `setTypesArray​(XmlObject[] typesArray)` | Sets array of all "types" element WARNING: This method is not atomicaly synchronized.
    `int` | `sizeOfBindingArray()` | Returns number of "binding" element
    `int` | `sizeOfImportArray()` | Returns number of "import" element
    `int` | `sizeOfMessageArray()` | Returns number of "message" element
    `int` | `sizeOfPortTypeArray()` | Returns number of "portType" element
    `int` | `sizeOfServiceArray()` | Returns number of "service" element
    `int` | `sizeOfTypesArray()` | Returns number of "types" element

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate, validate, validate_now, validate_simpleval, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### DefinitionsImpl

          public DefinitionsImpl​(SchemaType sType)

  - ### Method Detail

    - #### getImportList

          public List<TImport> getImportList()

      Gets a List of "import" elements
      Specified by:
        `getImportList` in interface `DefinitionsDocument.Definitions`

    - #### getImportArray

          public TImport[] getImportArray()

      Gets array of all "import" elements
      Specified by:
        `getImportArray` in interface `DefinitionsDocument.Definitions`

    - #### getImportArray

          public TImport getImportArray​(int i)

      Gets ith "import" element
      Specified by:
        `getImportArray` in interface `DefinitionsDocument.Definitions`

    - #### sizeOfImportArray

          public int sizeOfImportArray()

      Returns number of "import" element
      Specified by:
        `sizeOfImportArray` in interface `DefinitionsDocument.Definitions`

    - #### setImportArray

          public void setImportArray​(TImport[] ximportArray)

      Sets array of all "import" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setImportArray` in interface `DefinitionsDocument.Definitions`

    - #### setImportArray

          public void setImportArray​(int i,
                                     TImport ximport)

      Sets ith "import" element
      Specified by:
        `setImportArray` in interface `DefinitionsDocument.Definitions`

    - #### insertNewImport

          public TImport insertNewImport​(int i)

      Inserts and returns a new empty value (as xml) as the ith "import" element
      Specified by:
        `insertNewImport` in interface `DefinitionsDocument.Definitions`

    - #### addNewImport

          public TImport addNewImport()

      Appends and returns a new empty value (as xml) as the last "import" element
      Specified by:
        `addNewImport` in interface `DefinitionsDocument.Definitions`

    - #### removeImport

          public void removeImport​(int i)

      Removes the ith "import" element
      Specified by:
        `removeImport` in interface `DefinitionsDocument.Definitions`

    - #### getTypesList

          public List<XmlObject> getTypesList()

      Gets a List of "types" elements
      Specified by:
        `getTypesList` in interface `DefinitionsDocument.Definitions`

    - #### getTypesArray

          public XmlObject[] getTypesArray()

      Gets array of all "types" elements
      Specified by:
        `getTypesArray` in interface `DefinitionsDocument.Definitions`

    - #### getTypesArray

          public XmlObject getTypesArray​(int i)

      Gets ith "types" element
      Specified by:
        `getTypesArray` in interface `DefinitionsDocument.Definitions`

    - #### sizeOfTypesArray

          public int sizeOfTypesArray()

      Returns number of "types" element
      Specified by:
        `sizeOfTypesArray` in interface `DefinitionsDocument.Definitions`

    - #### setTypesArray

          public void setTypesArray​(XmlObject[] typesArray)

      Sets array of all "types" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setTypesArray` in interface `DefinitionsDocument.Definitions`

    - #### setTypesArray

          public void setTypesArray​(int i,
                                    XmlObject types)

      Sets ith "types" element
      Specified by:
        `setTypesArray` in interface `DefinitionsDocument.Definitions`

    - #### insertNewTypes

          public XmlObject insertNewTypes​(int i)

      Inserts and returns a new empty value (as xml) as the ith "types" element
      Specified by:
        `insertNewTypes` in interface `DefinitionsDocument.Definitions`

    - #### addNewTypes

          public XmlObject addNewTypes()

      Appends and returns a new empty value (as xml) as the last "types" element
      Specified by:
        `addNewTypes` in interface `DefinitionsDocument.Definitions`

    - #### removeTypes

          public void removeTypes​(int i)

      Removes the ith "types" element
      Specified by:
        `removeTypes` in interface `DefinitionsDocument.Definitions`

    - #### getMessageList

          public List<XmlObject> getMessageList()

      Gets a List of "message" elements
      Specified by:
        `getMessageList` in interface `DefinitionsDocument.Definitions`

    - #### getMessageArray

          public XmlObject[] getMessageArray()

      Gets array of all "message" elements
      Specified by:
        `getMessageArray` in interface `DefinitionsDocument.Definitions`

    - #### getMessageArray

          public XmlObject getMessageArray​(int i)

      Gets ith "message" element
      Specified by:
        `getMessageArray` in interface `DefinitionsDocument.Definitions`

    - #### sizeOfMessageArray

          public int sizeOfMessageArray()

      Returns number of "message" element
      Specified by:
        `sizeOfMessageArray` in interface `DefinitionsDocument.Definitions`

    - #### setMessageArray

          public void setMessageArray​(XmlObject[] messageArray)

      Sets array of all "message" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setMessageArray` in interface `DefinitionsDocument.Definitions`

    - #### setMessageArray

          public void setMessageArray​(int i,
                                      XmlObject message)

      Sets ith "message" element
      Specified by:
        `setMessageArray` in interface `DefinitionsDocument.Definitions`

    - #### insertNewMessage

          public XmlObject insertNewMessage​(int i)

      Inserts and returns a new empty value (as xml) as the ith "message" element
      Specified by:
        `insertNewMessage` in interface `DefinitionsDocument.Definitions`

    - #### addNewMessage

          public XmlObject addNewMessage()

      Appends and returns a new empty value (as xml) as the last "message" element
      Specified by:
        `addNewMessage` in interface `DefinitionsDocument.Definitions`

    - #### removeMessage

          public void removeMessage​(int i)

      Removes the ith "message" element
      Specified by:
        `removeMessage` in interface `DefinitionsDocument.Definitions`

    - #### getBindingList

          public List<XmlObject> getBindingList()

      Gets a List of "binding" elements
      Specified by:
        `getBindingList` in interface `DefinitionsDocument.Definitions`

    - #### getBindingArray

          public XmlObject[] getBindingArray()

      Gets array of all "binding" elements
      Specified by:
        `getBindingArray` in interface `DefinitionsDocument.Definitions`

    - #### getBindingArray

          public XmlObject getBindingArray​(int i)

      Gets ith "binding" element
      Specified by:
        `getBindingArray` in interface `DefinitionsDocument.Definitions`

    - #### sizeOfBindingArray

          public int sizeOfBindingArray()

      Returns number of "binding" element
      Specified by:
        `sizeOfBindingArray` in interface `DefinitionsDocument.Definitions`

    - #### setBindingArray

          public void setBindingArray​(XmlObject[] bindingArray)

      Sets array of all "binding" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setBindingArray` in interface `DefinitionsDocument.Definitions`

    - #### setBindingArray

          public void setBindingArray​(int i,
                                      XmlObject binding)

      Sets ith "binding" element
      Specified by:
        `setBindingArray` in interface `DefinitionsDocument.Definitions`

    - #### insertNewBinding

          public XmlObject insertNewBinding​(int i)

      Inserts and returns a new empty value (as xml) as the ith "binding" element
      Specified by:
        `insertNewBinding` in interface `DefinitionsDocument.Definitions`

    - #### addNewBinding

          public XmlObject addNewBinding()

      Appends and returns a new empty value (as xml) as the last "binding" element
      Specified by:
        `addNewBinding` in interface `DefinitionsDocument.Definitions`

    - #### removeBinding

          public void removeBinding​(int i)

      Removes the ith "binding" element
      Specified by:
        `removeBinding` in interface `DefinitionsDocument.Definitions`

    - #### getPortTypeList

          public List<XmlObject> getPortTypeList()

      Gets a List of "portType" elements
      Specified by:
        `getPortTypeList` in interface `DefinitionsDocument.Definitions`

    - #### getPortTypeArray

          public XmlObject[] getPortTypeArray()

      Gets array of all "portType" elements
      Specified by:
        `getPortTypeArray` in interface `DefinitionsDocument.Definitions`

    - #### getPortTypeArray

          public XmlObject getPortTypeArray​(int i)

      Gets ith "portType" element
      Specified by:
        `getPortTypeArray` in interface `DefinitionsDocument.Definitions`

    - #### sizeOfPortTypeArray

          public int sizeOfPortTypeArray()

      Returns number of "portType" element
      Specified by:
        `sizeOfPortTypeArray` in interface `DefinitionsDocument.Definitions`

    - #### setPortTypeArray

          public void setPortTypeArray​(XmlObject[] portTypeArray)

      Sets array of all "portType" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setPortTypeArray` in interface `DefinitionsDocument.Definitions`

    - #### setPortTypeArray

          public void setPortTypeArray​(int i,
                                       XmlObject portType)

      Sets ith "portType" element
      Specified by:
        `setPortTypeArray` in interface `DefinitionsDocument.Definitions`

    - #### insertNewPortType

          public XmlObject insertNewPortType​(int i)

      Inserts and returns a new empty value (as xml) as the ith "portType" element
      Specified by:
        `insertNewPortType` in interface `DefinitionsDocument.Definitions`

    - #### addNewPortType

          public XmlObject addNewPortType()

      Appends and returns a new empty value (as xml) as the last "portType" element
      Specified by:
        `addNewPortType` in interface `DefinitionsDocument.Definitions`

    - #### removePortType

          public void removePortType​(int i)

      Removes the ith "portType" element
      Specified by:
        `removePortType` in interface `DefinitionsDocument.Definitions`

    - #### getServiceList

          public List<XmlObject> getServiceList()

      Gets a List of "service" elements
      Specified by:
        `getServiceList` in interface `DefinitionsDocument.Definitions`

    - #### getServiceArray

          public XmlObject[] getServiceArray()

      Gets array of all "service" elements
      Specified by:
        `getServiceArray` in interface `DefinitionsDocument.Definitions`

    - #### getServiceArray

          public XmlObject getServiceArray​(int i)

      Gets ith "service" element
      Specified by:
        `getServiceArray` in interface `DefinitionsDocument.Definitions`

    - #### sizeOfServiceArray

          public int sizeOfServiceArray()

      Returns number of "service" element
      Specified by:
        `sizeOfServiceArray` in interface `DefinitionsDocument.Definitions`

    - #### setServiceArray

          public void setServiceArray​(XmlObject[] serviceArray)

      Sets array of all "service" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setServiceArray` in interface `DefinitionsDocument.Definitions`

    - #### setServiceArray

          public void setServiceArray​(int i,
                                      XmlObject service)

      Sets ith "service" element
      Specified by:
        `setServiceArray` in interface `DefinitionsDocument.Definitions`

    - #### insertNewService

          public XmlObject insertNewService​(int i)

      Inserts and returns a new empty value (as xml) as the ith "service" element
      Specified by:
        `insertNewService` in interface `DefinitionsDocument.Definitions`

    - #### addNewService

          public XmlObject addNewService()

      Appends and returns a new empty value (as xml) as the last "service" element
      Specified by:
        `addNewService` in interface `DefinitionsDocument.Definitions`

    - #### removeService

          public void removeService​(int i)

      Removes the ith "service" element
      Specified by:
        `removeService` in interface `DefinitionsDocument.Definitions`